
Summary: utilities to create and maintain aviation related databases
Name: avdbtools
Version: 0.1
Release: 1
Copyright: GNU General Public License, version 2
Group: Applications/Scientific
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://sunsite.unc.edu/pub/Linux/apps/aviation/avdbtools-0.1.tar.gz
Buildroot: /tmp/build_root

%description
The avdbtools package (short for aviation database tools) is a
collection of software designed to assist in creating and maintaining
databases for aviation applications. As of this release, avdbtools
contains a single application that reads the databases distributed by
the (United States) National Flight Data Center, and converts them
into formats usable by various other aviation related applications.

%prep
%setup

%build
make CC=gcc CCOPTS="-O -m486 -Wall -fomit-frame-pointer -ffloat-store" LIBDIR=/usr/share/avbdtools

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/doc/tmp
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/share/avbdtools
# use the provided makefile to install the files
make BINDIR=$RPM_BUILD_ROOT/usr/bin \
     LIBDIR=$RPM_BUILD_ROOT/usr/share/avbdtools install
make DOCDIR=$RPM_BUILD_ROOT/usr/doc/tmp \
     MANDIR=$RPM_BUILD_ROOT/usr/man/man1 install-man
# compress postscript user's guide
gzip -9 doc/*.ps

%clean
# remove build dir
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE README doc/*.html doc/*.ps.gz doc/*.txt icao-1.0.patch
/usr/bin/faaconv
/usr/bin/mknavdb
/usr/man/man1/faaconv.1
/usr/share/avbdtools

